#include <bits/stdc++.h>
using namespace std;

#define ios ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);
#define ll long long
#define inf INT_MAX
#define llinf LLONG_MAX
#define mt make_tuple
#define mp make_pair
#define parll pair<ll,ll>
#define parii pair<int,int>
#define nzd __gcd
#define nzs(e1,e2) (e1/nzd(e1,e2))*e2
#define neparno(v) (v&1)
#define parno(v) (!neparno(v))
#define lowbit(v) (v&-v)
#define all(V) V.begin(),V.end()
#define fill(V,v) fill(all(V),v)
#define l_b(BRL,brl) lower_bound( BRL.begin(), BRL.end(), brl )-BRL.begin()-1
#define u_b(BRU,bru) upper_bound( BRU.begin(), BRU.end(), bru )-BRU.begin()
#define mod 1000000007
#define mxn 200002

ll q,n,A[mxn],B[mxn],P[mxn];

int main()
{
    ios;

    cin >> n;
    for ( ll i = 1; i <= n; i++ )
    {
        cin >> A[i];
        if ( i > 1 && A[i] < A[i-1] )
        {
            B[i] = 1;
        }
    }
    for ( ll i = 1; i <= n; i++ )
    {
        P[i] = P[i-1]+B[i];
    }

    cin >> q;
    ll l,r;
    while ( q-- )
    {
        cin >> l >> r;
        if ( P[r]-P[l] <= 1 )
        {
            cout << "DA\n";
            continue;
        }
        cout << "NE\n";
    }

    return 0;
}